/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <rpc/types.h>
#include <rpc/xdr.h>
#include <utmp.h>

bool_t
xdr_utmp(XDR *handle, struct utmp *up)
{
	if (xdr_vector(handle, up->ut_user,
	  sizeof(up->ut_user), sizeof(char),
	  xdr_char) == FALSE)
		return(FALSE);
	if (xdr_vector(handle, up->ut_id, sizeof(up->ut_id),
	  sizeof(char), xdr_char) == FALSE)
		return(FALSE);
	if (xdr_vector(handle, up->ut_line,
	  sizeof(up->ut_line), sizeof(char),
	  xdr_char) == FALSE)
		return(FALSE);
	if (xdr_short(handle, &up->ut_pid) == FALSE)
		return(FALSE);
	if (xdr_short(handle, &up->ut_type) == FALSE)
		return(FALSE);
	if (xdr_short(handle, &up->ut_exit.e_termination) ==
	  FALSE)
		return(FALSE);
	if (xdr_short(handle, &up->ut_exit.e_exit) == FALSE)
		return(FALSE);
	if (xdr_long(handle, &up->ut_time) == FALSE)
		return(FALSE);
	return(TRUE);
}
